APIs / Idealista / Shorturis

Idealista: Shorturis

Shorturis from Idealista as JSON. 1 credit per successful call.

POST /v1/idealista/shorturis

Parameters

Send parameters in the JSON body.

ParameterTypeRequiredAllowed values
countrystringRequiredes, it, pt, fr
directionstringRequiredencode, decode
location_idstringOptionalUp to 80 characters
operationstringOptionalsale, rent
property_typestringOptionalhomes, newDevelopments, bedrooms, offices, premises, transfers, buildings, storageRooms, garages, vacationRentals, luxury, lands
localestringOptionalUp to 8 characters
short_urislist of stringOptionalUp to 40 characters

Example request

cURLshell
curl -X POST "https://api.perceptlayer.com/v1/idealista/shorturis" \
  -H "X-API-Key: $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"country":"es","direction":"encode","location_id":"0-EU-ES-28","operation":"sale","property_type":"homes"}'